DragonFly BSD
DragonFly kernel List (threaded) for 2005-12
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: 1.4 Release Schedule and plans for 1.5.

From: joerg@xxxxxxxxxxxxxxxxx
Date: Wed, 21 Dec 2005 15:18:24 +0100
Mail-followup-to: kernel@crater.dragonflybsd.org

On Tue, Dec 20, 2005 at 11:20:48AM -0800, Matthew Dillon wrote:
>     I'm not going to make a release branch dependant on pkgsrc-wip.

Where does it depend on pkgsrc-wip? It depends on binary packages, but
doesn't care where they come from. This is no different from the old
installer packages, but the minor difference that a lot of pkgsrc users
have wip too. After the pkgsrc Q4 branch is done, they will be
reimported into pkgsrc itself, but that's still a third party.

>     It's already bad enough that we have lost the specific package
>     versioning that was previously specified.

The decision to not include version numbers is a simple result of the
fact that this packages can change e.g. for security fixes and there's
simply no reason why the Makefile should change for that as well.
If you don't want to set to change, don't update the directory.
If you want to build more than one branch, version the directory.
Hard-coding version numbers doesn't buy anything. A good example what I
*expect* to change over time is the bootstrap kit, because it is neither
user friendly nor maintaince friendly to ship outdated bootstrap kits
especially if the ISOs are rebuild for other changes anyway.

>     It is highly unlikely
>     that the build will survive an update of the installer package.

It is highly unlikely that a build will be affected by an update of the
packages at all, as long as the update was tested before and matches the
OS version. That's why it is not useful to build them on use -- it might
just at the moment be broken. The packages are known to have passed that
step already.


[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]